Skip to main content
POST
/
key-stores
/
{storeId}
/
clone
/
input
Create Clone Input
curl --request POST \
  --url https://api.dfns.io/key-stores/{storeId}/clone/input \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-DFNS-USERACTION: <api-key>' \
  --data '
{
  "kind": "Clone",
  "hsmSourceSerial": "<string>",
  "hsmTargetSerial": "<string>",
  "macTargetSerial": "<string>"
}
'
"<string>"

Authentication

✅ Organization User (CustomerEmployee)
❌ Delegated User (EndUser)
✅ Service Account

Required Permissions

KeyStores:Fleets:Clone: Always required.

Authorizations

Authorization
string
header
required

Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows

X-DFNS-USERACTION
string
header
required

User Action Signature: Used to sign the change-inducing API requests. More details how to generate the token: User Action Signing flows

Path Parameters

storeId
string
required
Minimum string length: 1

Body

application/json
kind
enum<string>
required
Available options:
Clone
hsmSourceSerial
string
required
Minimum string length: 1
hsmTargetSerial
string
required
Minimum string length: 1
macTargetSerial
string
Minimum string length: 1

Response

200 - application/zip

Success

Zip archive containing input/input.json, the clone fleet-input document.

Last modified on July 2, 2026